"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _default = configContext => {
  const {
    CompoundInput,
    AutocompleteInput,
    StructuredDateInput,
    TermPickerInput,
    TextInput
  } = configContext.inputComponents;
  const {
    configKey: config
  } = configContext.configHelpers;
  const {
    extensions
  } = configContext.config;
  return {
    document: {
      'ns2:concepts_common': {
        conceptRecordTypes: {
          conceptRecordType: {
            [config]: {
              view: {
                props: {
                  source: 'conceptrecordtype'
                }
              }
            }
          }
        }
      },
      'ns2:concepts_fineart': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/concept/domain/fineart'
          }
        },
        conceptRecordType: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.concepts_fineart.conceptRecordType.name",
                "defaultMessage": "Concept record type"
              }
            }),
            view: {
              type: TermPickerInput,
              props: {
                source: 'conceptrecordtype'
              }
            }
          }
        },
        otherNameFlags: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.concepts_fineart.otherNameFlags.name",
                "defaultMessage": "Other name flags"
              }
            }),
            view: {
              type: TermPickerInput,
              props: {
                source: 'othernameflags'
              }
            }
          }
        },
        conceptTermDateGroup: _objectSpread({
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              fullName: {
                "id": "field.concepts_fineart.conceptTermDateGroup.fullName",
                "defaultMessage": "Concept term date"
              },
              name: {
                "id": "field.concepts_fineart.conceptTermDateGroup.name",
                "defaultMessage": "Term Date"
              }
            }),
            view: {
              type: StructuredDateInput
            }
          }
        }, extensions.structuredDate.fields),
        relatedConceptsGroupList: {
          [config]: {
            view: {
              type: CompoundInput
            }
          },
          relatedConceptsGroup: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  "id": "field.concepts_fineart.relatedConceptsGroup.name",
                  "defaultMessage": "Related concepts"
                }
              }),
              repeating: true,
              view: {
                type: CompoundInput,
                props: {
                  tabular: true
                }
              }
            },
            relatedConcept: {
              [config]: {
                messages: (0, _reactIntl.defineMessages)({
                  name: {
                    "id": "field.concepts_fineart.relatedConcept.name",
                    "defaultMessage": "Related concept"
                  }
                }),
                view: {
                  type: AutocompleteInput,
                  props: {
                    source: 'concept/associated'
                  }
                }
              }
            },
            conceptRelationType: {
              [config]: {
                messages: (0, _reactIntl.defineMessages)({
                  name: {
                    "id": "field.concepts_fineart.conceptRelationType.name",
                    "defaultMessage": "Relationship type"
                  }
                }),
                view: {
                  type: TermPickerInput,
                  props: {
                    source: 'conceptrelationtype'
                  }
                }
              }
            },
            conceptRelationDateGroup: _objectSpread({
              [config]: {
                messages: (0, _reactIntl.defineMessages)({
                  fullName: {
                    "id": "field.concepts_fineart.conceptRelationDateGroup.fullName",
                    "defaultMessage": "Concept related date"
                  },
                  name: {
                    "id": "field.concepts_fineart.conceptRelationDateGroup.name",
                    "defaultMessage": "Date"
                  }
                }),
                view: {
                  type: StructuredDateInput
                }
              }
            }, extensions.structuredDate.fields)
          }
        },
        conceptRemarks: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.concepts_fineart.conceptRemarks.name",
                "defaultMessage": "Concept remarks"
              }
            }),
            view: {
              type: TextInput
            }
          }
        }
      }
    }
  };
};

exports.default = _default;